Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 04/19/2020 in all areas

  1. In order to use (entmake) with INSERT, the BLOCK table must contain the referenced INSERT definition. It is not like the command _.INSERT [This also applies to LINETYPE and STYLE and probably others -David ;================== Macros ============================================= (defun SetBlkTbl (n) (if (and (not (tblsearch "BLOCK" n)) (findfile (strcat n ".DWG"))) (progn (command "_.INSERT" n) (command) n)) n)
    1 point
  2. recently there was discussion about bulge/fillet http://www.theswamp.org/index.php?topic=55931.0 look at ripp-bulge -- Radius-InterPoint-startPoint-endPoint ... if center is unknown, but known = radius , vertex (Intersection point) , p1 , p2 (note: vertex =/= center)returns list (start-bulge-end)like fillet method (can be applied trans on 3Dpoly as well)
    1 point
  3. Look up help vabload and vbarun you can just run a vba from a toolbar menu command line etc. [Drainage schedule]^C^C(vl-vbaload "P:/AutoDESK/VBA/Drainage.dvb") (vl-vbarun "Drainage")
    1 point
  4. How long are you going to be working there a simple password is a time bomb that the lisp/fas stops working, unless you have smart people it can be as simple as using "setenv". Then count down number of tries or check date. If you have your own web server can read a license file so could be as simple as 1 line "OK" 99.99 % of people have no idea how to get around software has stopped working. (if (= (setq alancnt (getenv "xxxx")) nil) (progn (setenv "xxxx" "0") (alert "Your trial has started\n \n You have 50 times that you can use the software\n \n Contact Email info@alanh.com.au\n \n for further information.") ) (progn (setq alancount (+ (atoi alancnt) 1)) (setenv "xxxx" (rtos alancount 2 0)) (alert (strcat "You have " (rtos (- 50 alancount) 2 0) " repeat to go")) ) ) (if (>= alancount 50) (progn (alert "Your trial number has finished \n \n You need to contact\n \n Alanh Consulting \n \n Email info@alanh.com.au") (exit) ) )
    1 point
  5. Hi @amir0914 I'm happy hearing that my code helps you more, here below a link where explained how you can recall a procedure by command line https://forums.autodesk.com/t5/visual-basic-customization/calling-vba-macro-from-command-line-or-button/td-p/2740073 Mainly the trick is to create a new command that recall macro inside the dvb, as alternative you can autoload your entire dvb procedure whenever autocad will be open (not a specific drawing but simply open autocad), and in the same way by command line recall your procedure. You should try I'm not so expert for this part. Bye
    1 point
×
×
  • Create New...